Hi,
I'm trying to compile Abiword 1.1.0 on Debian 3.0/ppc with xft support,
but I need some help.
I downloaded fcpackage.2_0 (fontconfig+Xft2) and compiled it, because I
did't found any deb package - by the way, I had troubles with that too,
because expat shipped with debian did't have expat.h (nor dev packages
exist): I think it is because expat1.95 is necessary, so I had to
download and compiled it.
Then I tryed to compile Abiword, but it stops saying:
/usr/include/limits.h:124:3: warning: #include_next is a GCC extension
In file included from
../../../../src/af/xap/unix/xap_UnixPSGraphics.h:27,
from ap_Convert.cpp:48:
../../../../src/af/xap/unix/xap_UnixFont.h:265: parse error before `)'
token
../../../../src/af/xap/unix/xap_UnixFont.h:267: semicolon missing after
declaration of `XftFaceLocker'
../../../../src/af/xap/unix/xap_UnixFont.h:267: parse error before
`private'
../../../../src/af/xap/unix/xap_UnixFont.h:269: 'FT_Face' is used as a
type,
but is not defined as a type.
../../../../src/af/xap/unix/xap_UnixFont.h:270: parse error before `}'
token
make[4]: *** [ap_Convert.o] Error 1
Instead, I managed to compile it without "--enable-xft". I send you some
files, but I don't know whether they are the right ones, please tell me
it!
Thank you for any suggestion!
Guido Amoruso
#! /bin/sh
# Generated by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.
debug=false
SHELL=${CONFIG_SHELL-/bin/sh}
## --------------------- ##
## M4sh Initialization. ##
## --------------------- ##
# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
emulate sh
NULLCMD=:
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
set -o posix
fi
# NLS nuisances.
# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
as_unset=unset
else
as_unset=false
fi
(set +x; test -n "`(LANG=C; export LANG) 2>&1`") &&
{ $as_unset LANG || test "${LANG+set}" != set; } ||
{ LANG=C; export LANG; }
(set +x; test -n "`(LC_ALL=C; export LC_ALL) 2>&1`") &&
{ $as_unset LC_ALL || test "${LC_ALL+set}" != set; } ||
{ LC_ALL=C; export LC_ALL; }
(set +x; test -n "`(LC_TIME=C; export LC_TIME) 2>&1`") &&
{ $as_unset LC_TIME || test "${LC_TIME+set}" != set; } ||
{ LC_TIME=C; export LC_TIME; }
(set +x; test -n "`(LC_CTYPE=C; export LC_CTYPE) 2>&1`") &&
{ $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set; } ||
{ LC_CTYPE=C; export LC_CTYPE; }
(set +x; test -n "`(LANGUAGE=C; export LANGUAGE) 2>&1`") &&
{ $as_unset LANGUAGE || test "${LANGUAGE+set}" != set; } ||
{ LANGUAGE=C; export LANGUAGE; }
(set +x; test -n "`(LC_COLLATE=C; export LC_COLLATE) 2>&1`") &&
{ $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set; } ||
{ LC_COLLATE=C; export LC_COLLATE; }
(set +x; test -n "`(LC_NUMERIC=C; export LC_NUMERIC) 2>&1`") &&
{ $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set; } ||
{ LC_NUMERIC=C; export LC_NUMERIC; }
(set +x; test -n "`(LC_MESSAGES=C; export LC_MESSAGES) 2>&1`") &&
{ $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set; } ||
{ LC_MESSAGES=C; export LC_MESSAGES; }
# Name of the executable.
as_me=`(basename "$0") 2>/dev/null ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
X"$0" : 'X\(//\)$' \| \
X"$0" : 'X\(/\)$' \| \
. : '\(.\)' 2>/dev/null ||
echo X/"$0" |
sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
/^X\/\(\/\/\)$/{ s//\1/; q; }
/^X\/\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
# PATH needs CR, and LINENO needs CR and PATH.
# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits
# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
echo "#! /bin/sh" >conftest.sh
echo "exit 0" >>conftest.sh
chmod +x conftest.sh
if (PATH=".;."; conftest.sh) >/dev/null 2>&1; then
PATH_SEPARATOR=';'
else
PATH_SEPARATOR=:
fi
rm -f conftest.sh
fi
as_lineno_1=$LINENO
as_lineno_2=$LINENO
as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x$as_lineno_3" = "x$as_lineno_2" || {
# Find who we are. Look in the path if we contain no path at all
# relative or not.
case $0 in
*[\\/]* ) as_myself=$0 ;;
*) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
done
;;
esac
# We did not find ourselves, most probably we were run as `sh COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
as_myself=$0
fi
if test ! -f "$as_myself"; then
{ { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
{ (exit 1); exit 1; }; }
fi
case $CONFIG_SHELL in
'')
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for as_base in sh bash ksh sh5; do
case $as_dir in
/*)
if ("$as_dir/$as_base" -c '
as_lineno_1=$LINENO
as_lineno_2=$LINENO
as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
test "x$as_lineno_1" != "x$as_lineno_2" &&
test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
CONFIG_SHELL=$as_dir/$as_base
export CONFIG_SHELL
exec "$CONFIG_SHELL" "$0" ${1+"$@"}
fi;;
esac
done
done
;;
esac
# Create $as_me.lineno as a copy of $as_myself, but with $LINENO
# uniformly replaced by the line number. The first 'sed' inserts a
# line-number line before each line; the second 'sed' does the real
# work. The second script uses 'N' to pair each line-number line
# with the numbered line, and appends trailing '-' during
# substitution so that $LINENO is not a special case at line end.
# (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
# second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
sed '=' <$as_myself |
sed '
N
s,$,-,
: loop
s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
t loop
s,-$,,
s,^['$as_cr_digits']*\n,,
' >$as_me.lineno &&
chmod +x $as_me.lineno ||
{ { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
{ (exit 1); exit 1; }; }
# Don't try to exec as it changes $[0], causing all sort of problems
# (the dirname of $[0] is not the place where we might find the
# original and so on. Autoconf is especially sensible to this).
. ./$as_me.lineno
# Exit status is that of the last command.
exit
}
case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
*c*,-n*) ECHO_N= ECHO_C='
' ECHO_T=' ' ;;
*c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
*) ECHO_N= ECHO_C='\c' ECHO_T= ;;
esac
if expr a : '\(a\)' >/dev/null 2>&1; then
as_expr=expr
else
as_expr=false
fi
rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
# We could just check for DJGPP; but this test a) works b) is more generic
# and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
if test -f conf$$.exe; then
# Don't use ln at all; we don't have any links
as_ln_s='cp -p'
else
as_ln_s='ln -s'
fi
elif ln conf$$.file conf$$ 2>/dev/null; then
as_ln_s=ln
else
as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.file
as_executable_p="test -f"
# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
# Sed expression to map a string onto a valid variable name.
as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
# IFS
# We need space, tab and new line, in precisely that order.
as_nl='
'
IFS=" $as_nl"
# CDPATH.
$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=$PATH_SEPARATOR; export CDPATH; }
exec 6>&1
# Open the log real soon, to keep \$[0] and so on meaningful, and to
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling. Logging --version etc. is OK.
exec 5>>config.log
{
echo
sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
## Running $as_me. ##
_ASBOX
} >&5
cat >&5 <<_CSEOF
This file was extended by AbiSuite $as_me 2.0, which was
generated by GNU Autoconf 2.53. Invocation command line was
CONFIG_FILES = $CONFIG_FILES
CONFIG_HEADERS = $CONFIG_HEADERS
CONFIG_LINKS = $CONFIG_LINKS
CONFIG_COMMANDS = $CONFIG_COMMANDS
$ $0 $@
_CSEOF
echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
echo >&5
config_files=" GNUmakefile src/GNUmakefile src/af/GNUmakefile src/af/ev/GNUmakefile src/af/ev/xp/GNUmakefile src/af/ev/cocoa/GNUmakefile src/af/ev/unix/GNUmakefile src/af/ev/unix/gnome/GNUmakefile src/af/ev/mac/GNUmakefile src/af/gr/GNUmakefile src/af/gr/xp/GNUmakefile src/af/gr/mac/GNUmakefile src/af/gr/cocoa/GNUmakefile src/af/gr/unix/GNUmakefile src/af/util/GNUmakefile src/af/util/xp/GNUmakefile src/af/util/mac/GNUmakefile src/af/util/unix/GNUmakefile src/af/xap/GNUmakefile src/af/xap/xp/GNUmakefile src/af/xap/cocoa/GNUmakefile src/af/xap/mac/GNUmakefile src/af/xap/unix/GNUmakefile src/af/xap/unix/gnome/GNUmakefile src/other/GNUmakefile src/other/spell/GNUmakefile src/other/spell/xp/GNUmakefile src/other/ttftool/GNUmakefile src/other/ttftool/unix/GNUmakefile src/text/GNUmakefile src/text/fmt/GNUmakefile src/text/fmt/xp/GNUmakefile src/text/ptbl/GNUmakefile src/text/ptbl/xp/GNUmakefile src/wp/GNUmakefile src/wp/ap/GNUmakefile src/wp/ap/xp/GNUmakefile src/wp/ap/cocoa/GNUmakefile src/wp/ap/mac/GNUmakefile src/wp/ap/unix/GNUmakefile src/wp/ap/unix/gnome/GNUmakefile src/wp/impexp/GNUmakefile src/wp/impexp/cocoa/GNUmakefile src/wp/impexp/unix/GNUmakefile src/wp/impexp/unix/gnome/GNUmakefile src/wp/impexp/xp/GNUmakefile src/wp/main/GNUmakefile src/wp/main/xp/GNUmakefile src/wp/main/cocoa/GNUmakefile src/wp/main/cocoa/bundle/GNUmakefile src/wp/main/cocoa/bundle/Info.plist src/wp/main/cocoa/AbiWord.app/GNUmakefile src/wp/main/cocoa/AbiWord.app/Contents/GNUmakefile src/wp/main/cocoa/AbiWord.app/Contents/MacOS/GNUmakefile src/wp/main/cocoa/AbiWord.app/Contents/Frameworks/GNUmakefile src/wp/main/cocoa/AbiWord.app/Contents/Resources/GNUmakefile src/wp/main/cocoa/AbiWord.app/Contents/Resources/English.lproj/GNUmakefile src/wp/main/mac/GNUmakefile src/wp/main/unix/GNUmakefile src/wp/main/unix/gnome/GNUmakefile src/tools/GNUmakefile src/tools/cdump/GNUmakefile src/tools/cdump/xp/GNUmakefile src/tools/pfa2afm/GNUmakefile src/tools/pfa2afm/unix/GNUmakefile src/tools/ttftool/GNUmakefile src/tools/ttftool/unix/GNUmakefile src/tools/scripts/GNUmakefile src/tools/scripts/unix/GNUmakefile src/bindings/GNUmakefile src/bindings/perl/GNUmakefile"
config_commands=" depfiles"
ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.
Usage: $0 [OPTIONS] [FILE]...
-h, --help print this help, then exit
-V, --version print version number, then exit
-d, --debug don't remove temporary files
--recheck update $as_me by reconfiguring in the same conditions
--file=FILE[:TEMPLATE]
instantiate the configuration file FILE
Configuration files:
$config_files
Configuration commands:
$config_commands
Report bugs to <[EMAIL PROTECTED]>."
ac_cs_version="\
AbiSuite config.status 2.0
configured by ./configure, generated by GNU Autoconf 2.53,
with options \"'--enable-xft' '--without-pspell'\"
Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."
srcdir=.
INSTALL="/usr/bin/install -c"
# If no file are specified by the user, then we need to provide default
# value. By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
case $1 in
--*=*)
ac_option=`expr "x$1" : 'x\([^=]*\)='`
ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
shift
set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
shift
;;
-*);;
*) # This is not an option, so the user has probably given explicit
# arguments.
ac_need_defaults=false;;
esac
case $1 in
# Handling of the options.
-recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
echo "running /bin/sh ./configure " '--enable-xft' '--without-pspell' " --no-create --no-recursion"
exec /bin/sh ./configure '--enable-xft' '--without-pspell' --no-create --no-recursion ;;
--version | --vers* | -V )
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
{ { echo "$as_me:$LINENO: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; };;
--help | --hel | -h )
echo "$ac_cs_usage"; exit 0 ;;
--debug | --d* | -d )
debug=: ;;
--file | --fil | --fi | --f )
shift
CONFIG_FILES="$CONFIG_FILES $1"
ac_need_defaults=false;;
--header | --heade | --head | --hea )
shift
CONFIG_HEADERS="$CONFIG_HEADERS $1"
ac_need_defaults=false;;
# This is an error.
-*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
*) ac_config_targets="$ac_config_targets $1" ;;
esac
shift
done
#
# INIT-COMMANDS section.
#
AMDEP_TRUE="" ac_aux_dir="ac-helpers"
for ac_config_target in $ac_config_targets
do
case "$ac_config_target" in
# Handling of arguments.
"GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES GNUmakefile" ;;
"src/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/GNUmakefile" ;;
"src/af/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/GNUmakefile" ;;
"src/af/ev/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/ev/GNUmakefile" ;;
"src/af/ev/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/ev/xp/GNUmakefile" ;;
"src/af/ev/cocoa/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/ev/cocoa/GNUmakefile" ;;
"src/af/ev/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/ev/unix/GNUmakefile" ;;
"src/af/ev/unix/gnome/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/ev/unix/gnome/GNUmakefile" ;;
"src/af/ev/mac/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/ev/mac/GNUmakefile" ;;
"src/af/gr/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/gr/GNUmakefile" ;;
"src/af/gr/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/gr/xp/GNUmakefile" ;;
"src/af/gr/mac/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/gr/mac/GNUmakefile" ;;
"src/af/gr/cocoa/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/gr/cocoa/GNUmakefile" ;;
"src/af/gr/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/gr/unix/GNUmakefile" ;;
"src/af/util/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/util/GNUmakefile" ;;
"src/af/util/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/util/xp/GNUmakefile" ;;
"src/af/util/mac/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/util/mac/GNUmakefile" ;;
"src/af/util/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/util/unix/GNUmakefile" ;;
"src/af/xap/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/xap/GNUmakefile" ;;
"src/af/xap/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/xap/xp/GNUmakefile" ;;
"src/af/xap/cocoa/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/xap/cocoa/GNUmakefile" ;;
"src/af/xap/mac/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/xap/mac/GNUmakefile" ;;
"src/af/xap/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/xap/unix/GNUmakefile" ;;
"src/af/xap/unix/gnome/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/af/xap/unix/gnome/GNUmakefile" ;;
"src/other/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/other/GNUmakefile" ;;
"src/other/spell/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/other/spell/GNUmakefile" ;;
"src/other/spell/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/other/spell/xp/GNUmakefile" ;;
"src/other/ttftool/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/other/ttftool/GNUmakefile" ;;
"src/other/ttftool/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/other/ttftool/unix/GNUmakefile" ;;
"src/text/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/text/GNUmakefile" ;;
"src/text/fmt/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/text/fmt/GNUmakefile" ;;
"src/text/fmt/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/text/fmt/xp/GNUmakefile" ;;
"src/text/ptbl/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/text/ptbl/GNUmakefile" ;;
"src/text/ptbl/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/text/ptbl/xp/GNUmakefile" ;;
"src/wp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/GNUmakefile" ;;
"src/wp/ap/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/ap/GNUmakefile" ;;
"src/wp/ap/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/ap/xp/GNUmakefile" ;;
"src/wp/ap/cocoa/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/ap/cocoa/GNUmakefile" ;;
"src/wp/ap/mac/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/ap/mac/GNUmakefile" ;;
"src/wp/ap/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/ap/unix/GNUmakefile" ;;
"src/wp/ap/unix/gnome/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/ap/unix/gnome/GNUmakefile" ;;
"src/wp/impexp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/impexp/GNUmakefile" ;;
"src/wp/impexp/cocoa/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/impexp/cocoa/GNUmakefile" ;;
"src/wp/impexp/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/impexp/unix/GNUmakefile" ;;
"src/wp/impexp/unix/gnome/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/impexp/unix/gnome/GNUmakefile" ;;
"src/wp/impexp/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/impexp/xp/GNUmakefile" ;;
"src/wp/main/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/GNUmakefile" ;;
"src/wp/main/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/xp/GNUmakefile" ;;
"src/wp/main/cocoa/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/cocoa/GNUmakefile" ;;
"src/wp/main/cocoa/bundle/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/cocoa/bundle/GNUmakefile" ;;
"src/wp/main/cocoa/bundle/Info.plist" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/cocoa/bundle/Info.plist" ;;
"src/wp/main/cocoa/AbiWord.app/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/cocoa/AbiWord.app/GNUmakefile" ;;
"src/wp/main/cocoa/AbiWord.app/Contents/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/cocoa/AbiWord.app/Contents/GNUmakefile" ;;
"src/wp/main/cocoa/AbiWord.app/Contents/MacOS/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/cocoa/AbiWord.app/Contents/MacOS/GNUmakefile" ;;
"src/wp/main/cocoa/AbiWord.app/Contents/Frameworks/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/cocoa/AbiWord.app/Contents/Frameworks/GNUmakefile" ;;
"src/wp/main/cocoa/AbiWord.app/Contents/Resources/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/cocoa/AbiWord.app/Contents/Resources/GNUmakefile" ;;
"src/wp/main/cocoa/AbiWord.app/Contents/Resources/English.lproj/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/cocoa/AbiWord.app/Contents/Resources/English.lproj/GNUmakefile" ;;
"src/wp/main/mac/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/mac/GNUmakefile" ;;
"src/wp/main/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/unix/GNUmakefile" ;;
"src/wp/main/unix/gnome/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/wp/main/unix/gnome/GNUmakefile" ;;
"src/tools/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/tools/GNUmakefile" ;;
"src/tools/cdump/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/tools/cdump/GNUmakefile" ;;
"src/tools/cdump/xp/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/tools/cdump/xp/GNUmakefile" ;;
"src/tools/pfa2afm/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/tools/pfa2afm/GNUmakefile" ;;
"src/tools/pfa2afm/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/tools/pfa2afm/unix/GNUmakefile" ;;
"src/tools/ttftool/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/tools/ttftool/GNUmakefile" ;;
"src/tools/ttftool/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/tools/ttftool/unix/GNUmakefile" ;;
"src/tools/scripts/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/tools/scripts/GNUmakefile" ;;
"src/tools/scripts/unix/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/tools/scripts/unix/GNUmakefile" ;;
"src/bindings/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/bindings/GNUmakefile" ;;
"src/bindings/perl/GNUmakefile" ) CONFIG_FILES="$CONFIG_FILES src/bindings/perl/GNUmakefile" ;;
"depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
*) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
done
# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used. Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
fi
# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
trap '{ (exit 1); exit 1; }' 1 2 13 15
}
# Create a (secure) tmp directory for tmp files.
: ${TMPDIR=/tmp}
{
tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
test -n "$tmp" && test -d "$tmp"
} ||
{
tmp=$TMPDIR/cs$$-$RANDOM
(umask 077 && mkdir $tmp)
} ||
{
echo "$me: cannot create a temporary directory in $TMPDIR" >&2
{ (exit 1); exit 1; }
}
#
# CONFIG_FILES section.
#
# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
# Protect against being on the right side of a sed subst in config.status.
sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
s,@SHELL@,/bin/sh,;t t
s,@PATH_SEPARATOR@,:,;t t
s,@PACKAGE_NAME@,AbiSuite,;t t
s,@PACKAGE_TARNAME@,abisuite,;t t
s,@PACKAGE_VERSION@,2.0,;t t
s,@PACKAGE_STRING@,AbiSuite 2.0,;t t
s,@PACKAGE_BUGREPORT@,http://www.abisource.com/,;t t
s,@exec_prefix@,${prefix},;t t
s,@prefix@,/usr/local,;t t
s,@program_transform_name@,s,x,x,,;t t
s,@bindir@,${exec_prefix}/bin,;t t
s,@sbindir@,${exec_prefix}/sbin,;t t
s,@libexecdir@,${exec_prefix}/libexec,;t t
s,@datadir@,${prefix}/share,;t t
s,@sysconfdir@,${prefix}/etc,;t t
s,@sharedstatedir@,${prefix}/com,;t t
s,@localstatedir@,${prefix}/var,;t t
s,@libdir@,${exec_prefix}/lib,;t t
s,@includedir@,${prefix}/include,;t t
s,@oldincludedir@,/usr/include,;t t
s,@infodir@,${prefix}/info,;t t
s,@mandir@,${prefix}/man,;t t
s,@build_alias@,,;t t
s,@host_alias@,,;t t
s,@target_alias@,,;t t
s,@DEFS@,-DPACKAGE_NAME=\"AbiSuite\" -DPACKAGE_TARNAME=\"abisuite\" -DPACKAGE_VERSION=\"2.0\" -DPACKAGE_STRING=\"AbiSuite\ 2.0\" -DPACKAGE_BUGREPORT=\"http://www.abisource.com/\" -DPACKAGE=\"AbiSuite-2.0\" -DVERSION=\"1.1.0\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FONTCONFIG_FONTCONFIG_H=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DHAVE_MALLOC_H=1 -DWORDS_BIGENDIAN=1 -DHAVE_LIBXML2=1 -DHAVE_WV=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DRETSIGTYPE=void -DHAVE_RE_COMP=1 -DHAVE_REGCOMP=1 -DHAVE_STRDUP=1 -DHAVE_STRSTR=1 ,;t t
s,@ECHO_C@,,;t t
s,@ECHO_N@,-n,;t t
s,@ECHO_T@,,;t t
s,@LIBS@,,;t t
s,@INSTALL_PROGRAM@,${INSTALL},;t t
s,@INSTALL_SCRIPT@,${INSTALL},;t t
s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
s,@PACKAGE@,AbiSuite-2.0,;t t
s,@VERSION@,1.1.0,;t t
s,@ACLOCAL@,${SHELL} /home/guido/abiword-1.1.0/abi/ac-helpers/missing --run aclocal-1.6 -I ac-helpers,;t t
s,@AUTOCONF@,${SHELL} /home/guido/abiword-1.1.0/abi/ac-helpers/missing --run autoconf,;t t
s,@AUTOMAKE@,${SHELL} /home/guido/abiword-1.1.0/abi/ac-helpers/missing --run automake-1.6,;t t
s,@AUTOHEADER@,${SHELL} /home/guido/abiword-1.1.0/abi/ac-helpers/missing --run autoheader,;t t
s,@MAKEINFO@,${SHELL} /home/guido/abiword-1.1.0/abi/ac-helpers/missing --run makeinfo,;t t
s,@AMTAR@,${SHELL} /home/guido/abiword-1.1.0/abi/ac-helpers/missing --run tar,;t t
s,@install_sh@,/home/guido/abiword-1.1.0/abi/ac-helpers/install-sh,;t t
s,@STRIP@,,;t t
s,@ac_ct_STRIP@,,;t t
s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
s,@AWK@,mawk,;t t
s,@SET_MAKE@,,;t t
s,@CXX@,g++,;t t
s,@CXXFLAGS@,,;t t
s,@LDFLAGS@,,;t t
s,@CPPFLAGS@,,;t t
s,@ac_ct_CXX@,g++,;t t
s,@EXEEXT@,,;t t
s,@OBJEXT@,o,;t t
s,@DEPDIR@,.deps,;t t
s,@am__include@,include,;t t
s,@am__quote@,,;t t
s,@AMDEP_TRUE@,,;t t
s,@AMDEP_FALSE@,#,;t t
s,@AMDEPBACKSLASH@,\,;t t
s,@CXXDEPMODE@,depmode=gcc,;t t
s,@CC@,gcc,;t t
s,@CFLAGS@,,;t t
s,@ac_ct_CC@,gcc,;t t
s,@CCDEPMODE@,depmode=gcc,;t t
s,@CPP@,gcc -E,;t t
s,@LN_S@,ln -s,;t t
s,@RANLIB@,ranlib,;t t
s,@ac_ct_RANLIB@,ranlib,;t t
s,@INSIDE_GNOME_COMMON_TRUE@,#,;t t
s,@INSIDE_GNOME_COMMON_FALSE@,,;t t
s,@ABI_EPATH_DYLIB_TRUE@,#,;t t
s,@ABI_EPATH_DYLIB_FALSE@,,;t t
s,@EPATH_WV_BUILD_FLAGS@,,;t t
s,@PLATFORM@,unix,;t t
s,@BE_PLATFORM@,unix,;t t
s,@OS_NAME@,Linux,;t t
s,@WARNING_CFLAGS@,-Wall -pedantic -ansi -D_POSIX_SOURCE -D_BSD_SOURCE -pipe,;t t
s,@PKG_CONFIG@,/usr/bin/pkg-config,;t t
s,@GLIB_CFLAGS@, -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ,;t t
s,@GLIB_LIBS@, -lglib-2.0 ,;t t
s,@GMODULE_CFLAGS@, -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ,;t t
s,@GMODULE_LIBS@, -Wl,--export-dynamic -lgmodule-2.0 -ldl -lglib-2.0 ,;t t
s,@GTHREAD_CFLAGS@,-D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ,;t t
s,@GTHREAD_LIBS@, -lgthread-2.0 -lpthread -lglib-2.0 ,;t t
s,@THREAD_CFLAGS@,-DHAVE_THREADS=1 -D_REENTRANT -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ,;t t
s,@THREAD_LIBS@, -lgthread-2.0 -lpthread -lglib-2.0 ,;t t
s,@HAVE_THREADS_TRUE@,,;t t
s,@HAVE_THREADS_FALSE@,#,;t t
s,@GTK_CFLAGS@, -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ,;t t
s,@GTK_LIBS@, -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 ,;t t
s,@WITH_UNIX_TRUE@,,;t t
s,@WITH_UNIX_FALSE@,#,;t t
s,@WITH_MACOSX_TRUE@,#,;t t
s,@WITH_MACOSX_FALSE@,,;t t
s,@WITH_CARBON_TRUE@,#,;t t
s,@WITH_CARBON_FALSE@,,;t t
s,@WITH_COCOA_TRUE@,#,;t t
s,@WITH_COCOA_FALSE@,,;t t
s,@OBJCXX@,,;t t
s,@OBJCXXFLAGS@,,;t t
s,@OBJCXXDEPMODE@,,;t t
s,@ABI_FE@,Unix,;t t
s,@ABI_BE@,Unix,;t t
s,@LIBICONV_PEERDIR@,../libiconv,;t t
s,@ICONV_INCLUDES@,,;t t
s,@ICONV_LIBS@,,;t t
s,@ABIWORD_APP_NAME@,AbiWord,;t t
s,@ABIWORD_APP_LIBDIR@,AbiWord,;t t
s,@NAUTILUS_CONFIG@,,;t t
s,@GNOME_CFLAGS@,,;t t
s,@GNOME_LIBS@,,;t t
s,@WITH_GNOME_TRUE@,#,;t t
s,@WITH_GNOME_FALSE@,,;t t
s,@XFT_CFLAGS@,-I/usr/include -I/usr/include/freetype2 -I/usr/include -I/usr/X11R6/include -DUSE_XFT=1,;t t
s,@XFT_LIBS@,-lXft -lfreetype -lfontconfig -L/usr/X11R6/lib -lXrender,;t t
s,@WITH_XFT_TRUE@,,;t t
s,@WITH_XFT_FALSE@,#,;t t
s,@ABI_BUILD_SHARED_TRUE@,,;t t
s,@ABI_BUILD_SHARED_FALSE@,#,;t t
s,@ABI_BUILD_STATIC_TRUE@,#,;t t
s,@ABI_BUILD_STATIC_FALSE@,,;t t
s,@abi_pspell_config@,,;t t
s,@CXXCPP@,g++ -E,;t t
s,@SPELL_CFLAGS@,-DHAVE_ISPELL=1,;t t
s,@SPELL_LIBS@,,;t t
s,@WITH_PSPELL_TRUE@,#,;t t
s,@WITH_PSPELL_FALSE@,,;t t
s,@CURL_CONFIG@,,;t t
s,@LIBCURL_CFLAGS@,,;t t
s,@LIBCURL_LIBS@,,;t t
s,@WITH_CURL_TRUE@,#,;t t
s,@WITH_CURL_FALSE@,,;t t
s,@abi_fribidi_config@,/usr/bin/fribidi-config,;t t
s,@FRIBIDI_CFLAGS@,-I/usr//include -DBIDI_ENABLED,;t t
s,@FRIBIDI_LIBS@,-L/usr//lib -lfribidi,;t t
s,@WITH_RESOURCE_MANAGER_TRUE@,#,;t t
s,@WITH_RESOURCE_MANAGER_FALSE@,,;t t
s,@DEBUG_TRUE@,#,;t t
s,@DEBUG_FALSE@,,;t t
s,@FREETYPE_CONFIG@,/usr/bin/freetype-config,;t t
s,@FREETYPE_LIBS@,-lfreetype,;t t
s,@FREETYPE_CFLAGS@,-I/usr/include/freetype2,;t t
s,@HAVE_FREETYPE_TRUE@,,;t t
s,@HAVE_FREETYPE_FALSE@,#,;t t
s,@SCRIPT_TRUE@,#,;t t
s,@SCRIPT_FALSE@,,;t t
s,@ABI_FEATURE_DEFS@,,;t t
s,@OPTIMIZE_CFLAGS@,,;t t
s,@PROFILE_CFLAGS@,,;t t
s,@LIBJPEG_LIBS@,-ljpeg,;t t
s,@DEBUG_CFLAGS@,-DNDEBUG,;t t
s,@SCRIPT_CFLAGS@,,;t t
s,@SCRIPT_LIBS@,,;t t
s,@PLATFORM_CFLAGS@, -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DSUPPORTS_UT_IDLE=1,;t t
s,@PLATFORM_LIBS@,,;t t
s,@XSUBPPDIR@,,;t t
s,@BIGENDIAN_TRUE@,,;t t
s,@BIGENDIAN_FALSE@,#,;t t
s,@ABI_XML_CONFIG@,/usr/bin/xml2-config,;t t
s,@HAVE_EXPAT_TRUE@,#,;t t
s,@HAVE_EXPAT_FALSE@,,;t t
s,@XML_CFLAGS@,-I/usr/include/libxml2/libxml -I/usr/include/libxml2,;t t
s,@XML_LIBS@,-lxml2,;t t
s,@EXPAT_PEERDIR@,,;t t
s,@WVLIBCFG@,,;t t
s,@LOCAL_WV_TRUE@,,;t t
s,@LOCAL_WV_FALSE@,#,;t t
s,@WV_CFLAGS@,-I/home/guido/abiword-1.1.0/wv,;t t
s,@WV_LIBS@,$(top_builddir)/../wv/libwv.a,;t t
s,@ZLIB_CFLAGS@,,;t t
s,@ZLIB_LIBS@,-lz,;t t
s,@LIBPNG_PEERDIR@,/home/guido/abiword-1.1.0/libpng,;t t
s,@LIBPNG_CFLAGS@,,;t t
s,@LIBPNG_LIBS@,-lpng,;t t
s,@LIBPOPT_PEERDIR@,../popt,;t t
s,@LIBPOPT_CFLAGS@,,;t t
s,@LIBPOPT_LIBS@,-lpopt,;t t
s,@LIBJPEG_CFLAGS@,-DHAVE_LIBJPEG,;t t
s,@WITH_LIBJPEG_TRUE@,,;t t
s,@WITH_LIBJPEG_FALSE@,#,;t t
s,@ALLOCA@,,;t t
s,@PEERDIRS@, ../wv,;t t
s,@PEERS@, wv,;t t
CEOF
# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_lines=48
ac_sed_frag=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_lines # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=
while $ac_more_lines; do
if test $ac_beg -gt 1; then
sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
else
sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
fi
if test ! -s $tmp/subs.frag; then
ac_more_lines=false
else
# The purpose of the label and of the branching condition is to
# speed up the sed processing (if there are no `@' at all, there
# is no need to browse any of the substitutions).
# These are the two extra sed commands mentioned above.
(echo ':t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
if test -z "$ac_sed_cmds"; then
ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
else
ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
fi
ac_sed_frag=`expr $ac_sed_frag + 1`
ac_beg=$ac_end
ac_end=`expr $ac_end + $ac_max_sed_lines`
fi
done
if test -z "$ac_sed_cmds"; then
ac_sed_cmds=cat
fi
fi # test -n "$CONFIG_FILES"
for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case $ac_file in
- | *:- | *:-:* ) # input from stdin
cat >$tmp/stdin
ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
*:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
* ) ac_file_in=$ac_file.in ;;
esac
# Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
ac_dir=`(dirname "$ac_file") 2>/dev/null ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$ac_file" : 'X\(//\)[^/]' \| \
X"$ac_file" : 'X\(//\)$' \| \
X"$ac_file" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
{ case "$ac_dir" in
[\\/]* | ?:[\\/]* ) as_incr_dir=;;
*) as_incr_dir=.;;
esac
as_dummy="$ac_dir"
for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
case $as_mkdir_dir in
# Skip DOS drivespec
?:) as_incr_dir=$as_mkdir_dir ;;
*)
as_incr_dir=$as_incr_dir/$as_mkdir_dir
test -d "$as_incr_dir" ||
mkdir "$as_incr_dir" ||
{ { echo "$as_me:$LINENO: error: cannot create \"$ac_dir\"" >&5
echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
{ (exit 1); exit 1; }; }
;;
esac
done; }
ac_builddir=.
if test "$ac_dir" != .; then
ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
# A "../" for each directory in $ac_dir_suffix.
ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
else
ac_dir_suffix= ac_top_builddir=
fi
case $srcdir in
.) # No --srcdir option. We are building in place.
ac_srcdir=.
if test -z "$ac_top_builddir"; then
ac_top_srcdir=.
else
ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
fi ;;
[\\/]* | ?:[\\/]* ) # Absolute path.
ac_srcdir=$srcdir$ac_dir_suffix;
ac_top_srcdir=$srcdir ;;
*) # Relative path.
ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
ac_top_srcdir=$ac_top_builddir$srcdir ;;
esac
# Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
# absolute.
ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
case $INSTALL in
[\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
*) ac_INSTALL=$ac_top_builddir$INSTALL ;;
esac
if test x"$ac_file" != x-; then
{ echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
if test x"$ac_file" = x-; then
configure_input=
else
configure_input="$ac_file. "
fi
configure_input=$configure_input"Generated from `echo $ac_file_in |
sed 's,.*/,,'` by configure."
# First look for the input files in the build tree, otherwise in the
# src tree.
ac_file_inputs=`IFS=:
for f in $ac_file_in; do
case $f in
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
*) # Relative
if test -f "$f"; then
# Build tree
echo $f
elif test -f "$srcdir/$f"; then
# Source tree
echo $srcdir/$f
else
# /dev/null tree
{ { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
esac
done` || { (exit 1); exit 1; }
sed "/^[ ]*VPATH[ ]*=/{
s/:*\$(srcdir):*/:/;
s/:*\${srcdir}:*/:/;
s/:*@srcdir@:*/:/;
s/^\([^=]*=[ ]*\):*/\1/;
s/:*$//;
s/^[^=]*=[ ]*$//;
}
:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@configure_input@,$configure_input,;t t
s,@srcdir@,$ac_srcdir,;t t
s,@abs_srcdir@,$ac_abs_srcdir,;t t
s,@top_srcdir@,$ac_top_srcdir,;t t
s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
s,@builddir@,$ac_builddir,;t t
s,@abs_builddir@,$ac_abs_builddir,;t t
s,@top_builddir@,$ac_top_builddir,;t t
s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
s,@INSTALL@,$ac_INSTALL,;t t
" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
rm -f $tmp/stdin
if test x"$ac_file" != x-; then
mv $tmp/out $ac_file
else
cat $tmp/out
rm -f $tmp/out
fi
done
#
# CONFIG_COMMANDS section.
#
for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$ac_dest" : 'X\(//\)[^/]' \| \
X"$ac_dest" : 'X\(//\)$' \| \
X"$ac_dest" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$ac_dest" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
ac_builddir=.
if test "$ac_dir" != .; then
ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
# A "../" for each directory in $ac_dir_suffix.
ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
else
ac_dir_suffix= ac_top_builddir=
fi
case $srcdir in
.) # No --srcdir option. We are building in place.
ac_srcdir=.
if test -z "$ac_top_builddir"; then
ac_top_srcdir=.
else
ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
fi ;;
[\\/]* | ?:[\\/]* ) # Absolute path.
ac_srcdir=$srcdir$ac_dir_suffix;
ac_top_srcdir=$srcdir ;;
*) # Relative path.
ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
ac_top_srcdir=$ac_top_builddir$srcdir ;;
esac
# Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
# absolute.
ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
ac_abs_top_builddir=`cd "$ac_dir" && cd $ac_top_builddir && pwd`
ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
{ echo "$as_me:$LINENO: executing $ac_dest commands" >&5
echo "$as_me: executing $ac_dest commands" >&6;}
case $ac_dest in
depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
# Strip MF so we end up with the name of the file.
mf=`echo "$mf" | sed -e 's/:.*$//'`
# Check whether this is an Automake generated Makefile or not.
# We used to match only the files named `Makefile.in', but
# some people rename them; so instead we look at the file content.
# Grep'ing the first line is not enough: some people post-process
# each Makefile.in and add a new line on top of each file to say so.
# So let's grep whole file.
if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
dirpart=`(dirname "$mf") 2>/dev/null ||
$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$mf" : 'X\(//\)[^/]' \| \
X"$mf" : 'X\(//\)$' \| \
X"$mf" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$mf" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
else
continue
fi
grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
# Extract the definition of DEP_FILES from the Makefile without
# running `make'.
DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
test -z "$DEPDIR" && continue
# When using ansi2knr, U may be empty or an underscore; expand it
U=`sed -n -e '/^U = / s///p' < "$mf"`
test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
# We invoke sed twice because it is the simplest approach to
# changing $(DEPDIR) to its actual value in the expansion.
for file in `sed -n -e '
/^DEP_FILES = .*\\\\$/ {
s/^DEP_FILES = //
:loop
s/\\\\$//
p
n
/\\\\$/ b loop
p
}
/^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
# Make sure the directory exists.
test -f "$dirpart/$file" && continue
fdir=`(dirname "$file") 2>/dev/null ||
$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
X"$file" : 'X\(//\)[^/]' \| \
X"$file" : 'X\(//\)$' \| \
X"$file" : 'X\(/\)' \| \
. : '\(.\)' 2>/dev/null ||
echo X"$file" |
sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
/^X\(\/\/\)[^/].*/{ s//\1/; q; }
/^X\(\/\/\)$/{ s//\1/; q; }
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
{ case $dirpart/$fdir in
[\\/]* | ?:[\\/]* ) as_incr_dir=;;
*) as_incr_dir=.;;
esac
as_dummy=$dirpart/$fdir
for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
case $as_mkdir_dir in
# Skip DOS drivespec
?:) as_incr_dir=$as_mkdir_dir ;;
*)
as_incr_dir=$as_incr_dir/$as_mkdir_dir
test -d "$as_incr_dir" ||
mkdir "$as_incr_dir" ||
{ { echo "$as_me:$LINENO: error: cannot create $dirpart/$fdir" >&5
echo "$as_me: error: cannot create $dirpart/$fdir" >&2;}
{ (exit 1); exit 1; }; }
;;
esac
done; }
# echo "creating $dirpart/$file"
echo '# dummy' > "$dirpart/$file"
done
done
;;
esac
done
{ (exit 0); exit 0; }
dnl AbiWord
dnl Copyright (C) 2001 Sam Tobin-Hochstadt
dnl MacOS X hackery by Hubert Figuiere <[EMAIL PROTECTED]>
dnl
dnl This program is free software; you can redistribute it and/or
dnl modify it under the terms of the GNU General Public License
dnl as published by the Free Software Foundation; either version 2
dnl of the License, or (at your option) any later version.
dnl
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
dnl 02111-1307, USA.
dnl Process this file with autoconf to produce a configure script.
AC_INIT(src/af/ev/xp/ev_Menu.h)
AC_CONFIG_AUX_DIR(ac-helpers)
AM_INIT_AUTOMAKE(AbiSuite-2.0,1.1.0)
if test "$srcdir" = "."; then
abi_rootdir=".."
else
abi_rootdir="`dirname $srcdir`"
fi
abs_srcdir="`cd $srcdir && pwd`"
dnl Checks for programs.
abi_save_CFLAGS="$CFLAGS"
abi_save_CXXFLAGS="$CXXFLAGS"
AC_PROG_CXX
AC_PROG_CC
AC_ISC_POSIX
AC_PROG_CPP
CFLAGS="$abi_save_CFLAGS"
CXXFLAGS="$abi_save_CXXFLAGS"
AC_MSG_CHECKING(CFLAGS)
AC_MSG_RESULT($CFLAGS)
AC_MSG_CHECKING(CXXFLAGS)
AC_MSG_RESULT($CXXFLAGS)
ABI_FEATURE_DEFS=""
AC_PROG_INSTALL
AC_PROG_LN_S
AC_PROG_MAKE_SET
AC_PROG_RANLIB
AM_ACLOCAL_INCLUDE(ac-helpers)
dnl Detect our platform (unix, win32, etc)
dnl Do this before the GNOME stuff
ABI_DETECT_PLATFORM
dnl Checks for libraries.
dnl Define here ABI_FE, ABI_BE, PLATFORM_CFLAGS, PLATFORM_LIBS
with_unix=false
with_macosx=false
with_carbon=false
with_cocoa=false
if test "$PLATFORM" = "unix"; then
ABI_FE="Unix"
ABI_BE="$ABI_FE"
with_unix=true
dnl locate glib and gtk
ABI_GTK2
elif test "$PLATFORM" = "mac" ; then
ABI_GLIB2
ABI_FE="Mac"
ABI_BE="$ABI_FE"
with_macosx=true
with_carbon=true
elif test "$PLATFORM" = "cocoa" ; then
ABI_GLIB2
ABI_FE="Cocoa"
ABI_BE="Unix"
with_macosx=true
with_cocoa=true
dnl Don't change these (fjf)
dnl
OBJCXX="c++"
OBJCXXFLAGS=""
OBJCXXDEPMODE="depmode=gcc3"
fi
AM_CONDITIONAL(WITH_UNIX,$with_unix)
AM_CONDITIONAL(WITH_MACOSX,$with_macosx)
AM_CONDITIONAL(WITH_CARBON,$with_carbon)
AM_CONDITIONAL(WITH_COCOA,$with_cocoa)
AC_SUBST(OBJCXX)
AC_SUBST(OBJCXXFLAGS)
AC_SUBST(OBJCXXDEPMODE)
dnl These are the flags required and defined above
AC_SUBST(ABI_FE)
AC_SUBST(ABI_BE)
ABI_DETECT_ICONV
ABIWORD_APP_NAME="AbiWord"
AC_SUBST(ABIWORD_APP_NAME)
ABIWORD_APP_LIBDIR="AbiWord"
AC_SUBST(ABIWORD_APP_LIBDIR)
dnl ./configure command line arguments
dnl currently, we have:
dnl --enable-gnome
dnl --enable-debug
dnl --enable-extra-optimization
dnl --enable-profile
dnl --enable-bidi
dnl --enable-peer-config
dnl --with-pspell
dnl --with-libxml2
dnl The defined values are used mostly in includes.mk, but also in
dnl some other places
AC_ARG_ENABLE(debug,[ --enable-debug Turn on debugging],[
case "${enableval}" in
yes) debug=true ;
DEBUG_CFLAGS="-DDEBUG -DUT_DEBUG -DFMT_TEST -DUT_TEST -DPT_TEST -g" ;;
no) debug=false ;
DEBUG_CFLAGS="-DNDEBUG" ;;
*) AC_MSG_ERROR(bad value ${enableval} for --enable-debug) ;;
esac
],[ debug=false
DEBUG_CFLAGS="-DNDEBUG"
])
AM_CONDITIONAL(DEBUG, test x$debug = xtrue)
ABI_GNOME_QUICK
ABI_XFT_QUICK
abi_build_shared=yes
abi_build_static=no
AC_ARG_ENABLE(shared,[ --disable-shared don't build shared AbiWord (UNIX/GTK builds
only)],[
if test "x$enableval" = "xno"; then
if test "$PLATFORM" = "unix" -a "$gnome" != "true"; then
abi_build_shared=no
abi_build_static=yes
fi
fi
])
AC_ARG_ENABLE(stable,[ --enable-static build static AbiWord (UNIX/GTK builds
only)],[
if test "x$enableval" != "xno"; then
if test "$PLATFORM" = "unix" -a "$gnome" != "true"; then
abi_build_static=yes
fi
fi
])
AM_CONDITIONAL(ABI_BUILD_SHARED,[test $abi_build_shared = yes])
AM_CONDITIONAL(ABI_BUILD_STATIC,[test $abi_build_static = yes])
dnl spell-checker detection precedes curl setting
dnl
AC_LANG_CPLUSPLUS
ABI_SPELL
AC_LANG_C
ABI_CURL
AM_CONDITIONAL(WITH_CURL, test x$abi_curl = xyes)
ABI_FRIBIDI
dnl The resource manager is a class (XAP_ResourceManager) designed to handle
dnl images/objects/hyperlinks included by the document. Disabled by default.
dnl
abi_resource_manager=no
AC_ARG_ENABLE(resource-manager,[ --enable-resource-manager Use the resource manager
(experimental)],[
if test "x$enableval" = "xyes"; then
abi_resource_manager=yes
ABI_FEATURE_DEFS="$ABI_FEATURE_DEFS -DENABLE_RESOURCE_MANAGER=1"
fi
])
AM_CONDITIONAL(WITH_RESOURCE_MANAGER,[test "x$abi_resource_manager" = "xyes"])
AC_ARG_ENABLE(profile,
[ --enable-profile Turn on profile ],
[case "${enableval}" in
yes) PROFILE_CFLAGS="-pg -fprofile-arcs -ftest-coverage" ;;
no) PROFILE_CFLAGS="" ;;
*) AC_MSG_ERROR(bad value ${enableval} for --enable-profile) ;;
esac],[PROFILE_CFLAGS=""])
AC_ARG_ENABLE(extra-optimization,
[ --enable-extra-optimization Turn on extra optimizations ],
[case "${enableval}" in
yes) OPTIMIZE_CFLAGS="-O3" ;;
no) OPTIMIZE_CFLAGS="-O2" ;;
*) AC_MSG_ERROR(bad value ${enableval} for --enable-extra-optimization) ;;
esac],[OPTIMIZE_CFLAGS=""])
# by default, configure in the abi directory runs the same configure command
# in the peer directories (wv, expat, etc...). this provides a way to
# disable that behavior.
AC_ARG_ENABLE(peer-config,
[ --enable-peer-config Enable automatic configuration of peer directories (on by
default) ],
[case "${enableval}" in
yes) peerconfig=true ;;
no) peerconfig=false ;;
*) AC_MSG_ERROR(bad value ${enableval} for --enable-peer-config) ;;
esac],[peerconfig=true])
AC_ARG_ENABLE(scripting,
[ --enable-scripting Enable the perl scripting interface ],
[case "${enableval}" in
yes) script=true ;;
no) script=false ;;
*) AC_MSG_ERROR(bad value ${enableval} for --enable-scripting) ;;
esac],[script=false])
dnl this isn't actually used anywhere, but we provide it anyway
AM_CONDITIONAL(SCRIPT, test x$script = xtrue)
case "$script" in
"true" )
AC_PATH_PROG(PERL_EXE, perl)
if test -n "${PERL_EXE}"; then
SCRIPT_CFLAGS="-DABI_OPT_PERL `perl -MExtUtils::Embed -e ccopts`
-Ubool"
SCRIPT_LIBS="`perl -MExtUtils::Embed -e ldopts`"
AC_MSG_CHECKING(for perl xsubpp precompiler)
XSUBPPDIR="`(cd $abs_srcdir/src/bindings/perl && perl
-MExtUtils::MakeMaker -e 'print ExtUtils::MakeMaker->new({NAME =>
qw(abi)})->tool_xsubpp') | grep ^XSUBPPDIR | sed -e 's/XSUBPPDIR = //g;'`"
if test -n "${XSUBPPDIR}"; then
AC_MSG_RESULT(${XSUBPPDIR})
else
AC_MSG_ERROR(not found)
fi
AC_MSG_CHECKING(for perl install arch lib directory)
PERL_ARCHLIB="`(perl -V:installarchlib | sed -e
\"s/\(.*=\|'\|;\)//g\")`"
if test -n "${PERL_ARCHLIB}"; then
AC_MSG_RESULT(${PERL_ARCHLIB})
else
AC_MSG_ERROR(not found)
fi
AC_MSG_CHECKING(for perl install priv lib directory)
PERL_LIB="`(perl -V:installprivlib | sed -e \"s/\(.*=\|'\|;\)//g\")`"
if test -n "${PERL_LIB}"; then
AC_MSG_RESULT(${PERL_LIB})
else
AC_MSG_ERROR(not found)
fi
AC_PATH_PROG(POD2MAN_EXE, pod2man)
AC_MSG_CHECKING(for perl sitelib directory)
SITE_LIB="`(perl -V:sitelib | sed -e \"s/\(.*=\|'\|;\)//g\")`"
if test -n "${SITE_LIB}"; then
AC_MSG_RESULT(${SITE_LIB})
else
AC_MSG_ERROR(not found)
fi
AC_MSG_CHECKING(for perl site arch lib directory)
SITE_ARCHLIB="`(perl -V:sitearch | sed -e \"s/\(.*=\|'\|;\)//g\")`"
if test -n "${SITE_ARCHLIB}"; then
AC_MSG_RESULT(${SITE_ARCHLIB})
else
AC_MSG_ERROR(not found)
fi
else
SCRIPT_CFLAGS=""
SCRIPT_LIBS=""
XSUBPPDIR=""
PERL_ARCHLIB=""
PERL_LIB=""
POD2MAN_EXE=""
SITE_LIB=""
SITE_ARCHLIB=""
fi
;;
* )
SCRIPT_CFLAGS=""
SCRIPT_LIBS=""
XSUBPPDIR=""
PERL_ARCHLIB=""
PERL_LIB=""
POD2MAN_EXE=""
SITE_LIB=""
SITE_ARCHLIB=""
;;
esac
if test "$PLATFORM" = "unix"; then
if test "$gnome" = "true"; then
if test "$xft" = "true"; then
PLATFORM_CFLAGS="$XFT_CFLAGS $GNOME_CFLAGS $GMODULE_CFLAGS
$GTK_CFLAGS -DSUPPORTS_UT_IDLE=1"
PLATFORM_LIBS=
else
PLATFORM_CFLAGS="$GNOME_CFLAGS $GMODULE_CFLAGS $GTK_CFLAGS
-DSUPPORTS_UT_IDLE=1"
PLATFORM_LIBS=
fi
else
if test "$xft" = "true"; then
PLATFORM_CFLAGS="$XFT_CFLAGS $GMODULE_CFLAGS $GTK_CFLAGS
-DSUPPORTS_UT_IDLE=1"
PLATFORM_LIBS=
else
PLATFORM_CFLAGS="$GMODULE_CFLAGS $GTK_CFLAGS
-DSUPPORTS_UT_IDLE=1"
PLATFORM_LIBS=
fi
fi
fi
dnl AUTOCONF SUCKS
if test "$PLATFORM" = "mac"; then
if "$debug" = "true"; then
PLATFORM_LIBS="-liconv -framework Carbon -framework CoreServices
-framework ApplicationServices -framework QuickTime"
else
PLATFORM_LIBS="-liconv -framework Carbon -framework CoreServices
-framework ApplicationServices -framework QuickTime"
fi
PLATFORM_CFLAGS=-I'$(top_builddir)/src/af/util/unix'\ -fpascal-strings\
-DUSE_CARBON_EVENTS\ -DCARBON_ON_MACH_O=1\ -DNO_SYS_ERRLIST\
-I/Developer/Headers/FlatCarbon
fi
if test "$PLATFORM" = "cocoa"; then
if "$debug" = "true"; then
PLATFORM_LIBS="$GLIB_LIBS -liconv -framework Cocoa"
else
PLATFORM_LIBS="$GLIB_LIBS -liconv -framework Cocoa"
fi
PLATFORM_CFLAGS="$GLIB_CFLAGS -fpascal-strings -DNO_SYS_ERRLIST"
fi
dnl SUBST all the variables we just defined
AC_SUBST(ABI_FEATURE_DEFS)
AC_SUBST(OPTIMIZE_CFLAGS)
AC_SUBST(PROFILE_CFLAGS)
AC_SUBST(LIBJPEG_LIBS)
AC_SUBST(DEBUG_CFLAGS)
AC_SUBST(SCRIPT_CFLAGS)
AC_SUBST(SCRIPT_LIBS)
AC_SUBST(PLATFORM_CFLAGS)
AC_SUBST(PLATFORM_LIBS)
AC_SUBST(XSUBPPDIR)
AC_SUBST(PERL_ARCHLIB)
AC_SUBST(PERL_LIB)
AC_SUBST(POD2MAN_EXE)
AC_SUBST(SITE_LIB)
AC_SUBST(SITE_ARCHLIB)
dnl Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS(limits.h strings.h sys/time.h unistd.h malloc.h)
dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
ABI_C_INLINE
AC_TYPE_SIZE_T
AC_C_BIGENDIAN
AM_CONDITIONAL(BIGENDIAN,[ test "x$ac_cv_c_bigendian" = "xyes" ])
dnl Currently, we need all of the following, but in the future we
dnl might not.
dnl
dnl check for an xml parser
ABI_XML_PARSER
dnl check for wv
ABI_NEED_WV="yes"
ABI_WV($abi_rootdir/wv)
dnl check for zlib.
ABI_ZLIB
dnl check for libpng.
ABI_LIBPNG
dnl check for popt.
ABI_POPT
dnl check for libjpeg
ABI_LIBJPEG
dnl Checks for library functions.
AC_FUNC_ALLOCA
AC_TYPE_SIGNAL
AC_CHECK_FUNCS(re_comp regcomp strdup strstr)
AC_CHECK_FUNC(putenv,abi_putenv=maybe,abi_putenv=no)
AC_CHECK_FUNC(setenv,abi_setenv=maybe,abi_setenv=no)
if test $abi_putenv = no -a $abi_setenv = no; then
AC_MSG_ERROR([* * * neither setenv nor putenv found! * * *])
fi
if test $abi_setenv = no; then
AC_DEFINE(SETENV_MISSING,1,[use putenv, not setenv])
elif test $abi_putenv = maybe; then
_abi_cppflags=$CPPFLAGS
CPPFLAGS="$CPPFLAGS $WARNING_CFLAGS"
AC_MSG_CHECKING([whether setenv declared in stdlib.h (for us)])
AC_TRY_COMPILE([
#include <stdlib.h>
float setenv (int);
],[
/* if this program fails then setenv isn't declared in stdlib.h
* or at least not for the flags we're using...
*/
],[ AC_MSG_RESULT(no)
dnl well, okay, setenv may not be missing but I'm going to
dnl mark it as such:
AC_DEFINE(SETENV_MISSING,1,[use putenv, not setenv])
],[ AC_MSG_RESULT(yes)
])
CPPFLAGS=$_abi_cppflags
fi
if test $peerconfig = "true"; then
for i in . $PEERDIRS; do
if test $i != . ; then
j=`basename $i`
ABI_PEER_CONFIG($j,$i)
fi
done
fi
AC_SUBST(PEERDIRS)
AC_SUBST(PEERS)
AC_OUTPUT(
GNUmakefile
src/GNUmakefile
src/af/GNUmakefile
src/af/ev/GNUmakefile
src/af/ev/xp/GNUmakefile
src/af/ev/cocoa/GNUmakefile
src/af/ev/mac/GNUmakefile
src/af/ev/qnx/GNUmakefile
src/af/ev/unix/GNUmakefile
src/af/ev/unix/gnome/GNUmakefile
src/af/gr/GNUmakefile
src/af/gr/xp/GNUmakefile
src/af/gr/mac/GNUmakefile
src/af/gr/cocoa/GNUmakefile
src/af/gr/qnx/GNUmakefile
src/af/gr/unix/GNUmakefile
src/af/util/GNUmakefile
src/af/util/xp/GNUmakefile
src/af/util/mac/GNUmakefile
src/af/util/qnx/GNUmakefile
src/af/util/unix/GNUmakefile
src/af/xap/GNUmakefile
src/af/xap/xp/GNUmakefile
src/af/xap/cocoa/GNUmakefile
src/af/xap/mac/GNUmakefile
src/af/xap/qnx/GNUmakefile
src/af/xap/unix/GNUmakefile
src/af/xap/unix/gnome/GNUmakefile
src/other/GNUmakefile
src/other/spell/GNUmakefile
src/other/spell/xp/GNUmakefile
src/other/ttftool/GNUmakefile
src/other/ttftool/unix/GNUmakefile
src/text/GNUmakefile
src/text/fmt/GNUmakefile
src/text/fmt/xp/GNUmakefile
src/text/ptbl/GNUmakefile
src/text/ptbl/xp/GNUmakefile
src/wp/GNUmakefile
src/wp/ap/GNUmakefile
src/wp/ap/xp/GNUmakefile
src/wp/ap/cocoa/GNUmakefile
src/wp/ap/mac/GNUmakefile
src/wp/ap/qnx/GNUmakefile
src/wp/ap/unix/GNUmakefile
src/wp/ap/unix/gnome/GNUmakefile
src/wp/impexp/GNUmakefile
src/wp/impexp/cocoa/GNUmakefile
src/wp/impexp/unix/GNUmakefile
src/wp/impexp/unix/gnome/GNUmakefile
src/wp/impexp/xp/GNUmakefile
src/wp/main/GNUmakefile
src/wp/main/xp/GNUmakefile
src/wp/main/cocoa/GNUmakefile
src/wp/main/cocoa/bundle/GNUmakefile
src/wp/main/cocoa/bundle/Info.plist
src/wp/main/cocoa/AbiWord.app/GNUmakefile
src/wp/main/cocoa/AbiWord.app/Contents/GNUmakefile
src/wp/main/cocoa/AbiWord.app/Contents/MacOS/GNUmakefile
src/wp/main/cocoa/AbiWord.app/Contents/Frameworks/GNUmakefile
src/wp/main/cocoa/AbiWord.app/Contents/Resources/GNUmakefile
src/wp/main/cocoa/AbiWord.app/Contents/Resources/English.lproj/GNUmakefile
src/wp/main/mac/GNUmakefile
src/wp/main/qnx/GNUmakefile
src/wp/main/unix/GNUmakefile
src/wp/main/unix/gnome/GNUmakefile
src/tools/GNUmakefile
src/tools/cdump/GNUmakefile
src/tools/cdump/xp/GNUmakefile
src/tools/cdump/qnx/GNUmakefile
src/tools/pfa2afm/GNUmakefile
src/tools/pfa2afm/unix/GNUmakefile
src/tools/ttftool/GNUmakefile
src/tools/ttftool/unix/GNUmakefile
src/tools/scripts/GNUmakefile
src/tools/scripts/unix/GNUmakefile
src/bindings/GNUmakefile
src/bindings/perl/GNUmakefile
)
echo " "
case "$PLATFORM" in
"unix" )
AC_MSG_RESULT([Configured to build on a Unix/Linux platform.]) ;;
"win" )
AC_MSG_RESULT([Configured to build on a Windows platform.]) ;;
"beos" )
AC_MSG_RESULT([Configured to build on a BeOS platform.]) ;;
"qnx" )
AC_MSG_RESULT([Configured to build on a QNX RTOS platform.]) ;;
"cocoa" )
AC_MSG_RESULT([Configured to build on a Mac OS X platform using Cocoa.]) ;;
"mac" )
AC_MSG_RESULT([Configured to build on a Mac OS X platform using Carbon.]) ;;
esac
case "$gnome" in
"true" )
AC_MSG_RESULT([Configured with GNOME support.]) ;;
esac
case "$libjpeg" in
"true" )
AC_MSG_RESULT([Configured with libjpeg support.]) ;;
esac
case "$debug" in
"true" )
AC_MSG_RESULT([Configured with debugging symbols.]) ;;
esac
case "$script" in
"true" )
AC_MSG_RESULT([Configured with scripting support.]) ;;
esac
case "$bidi" in
"true" )
AC_MSG_RESULT([Configured with BiDi support.]) ;;
esac
echo " "
cat <<EOF
XML Parser: ${abi_xml_parser_message}
zlib: ${abi_zlib_message}
PNG Library: ${abi_libpng_message}
popt: ${abi_libpopt_message}
WV Library: ${abi_wv_message}
iconv: ${abi_iconv_message}
spelling: ${abi_spell_message}
EOF
AC_MSG_RESULT([Type make to build AbiWord.])
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by AbiSuite configure 2.0, which was
generated by GNU Autoconf 2.53. Invocation command line was
$ ./configure --enable-xft --without-pspell
## --------- ##
## Platform. ##
## --------- ##
hostname = debian
uname -m = ppc
uname -r = 2.4.20-pre7-ben0
uname -s = Linux
uname -v = #1 Tue Sep 24 05:29:41 EST 2002
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = ppc
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /bin
PATH: /usr/bin/X11
PATH: /usr/games
PATH: /usr/local/j2sdk1.3.1/bin
## ----------- ##
## Core tests. ##
## ----------- ##
configure:1288: checking for a BSD-compatible install
configure:1342: result: /usr/bin/install -c
configure:1353: checking whether build environment is sane
configure:1396: result: yes
configure:1429: checking for gawk
configure:1458: result: no
configure:1429: checking for mawk
configure:1445: found /usr/bin/mawk
configure:1455: result: mawk
configure:1465: checking whether make sets ${MAKE}
configure:1485: result: yes
configure:1694: checking for g++
configure:1710: found /usr/bin/g++
configure:1720: result: g++
configure:1736: checking for C++ compiler version
configure:1739: g++ --version </dev/null >&5
2.95.4
configure:1742: $? = 0
configure:1744: g++ -v </dev/null >&5
Reading specs from /usr/lib/gcc-lib/powerpc-linux/2.95.4/specs
gcc version 2.95.4 20011002 (Debian prerelease)
configure:1747: $? = 0
configure:1749: g++ -V </dev/null >&5
g++: argument to `-V' missing
configure:1752: $? = 1
configure:1778: checking for C++ compiler default output
configure:1781: g++ conftest.cc >&5
configure:1784: $? = 0
configure:1817: result: a.out
configure:1822: checking whether the C++ compiler works
configure:1828: ./a.out
configure:1831: $? = 0
configure:1846: result: yes
configure:1853: checking whether we are cross compiling
configure:1855: result: no
configure:1858: checking for suffix of executables
configure:1860: g++ -o conftest conftest.cc >&5
configure:1863: $? = 0
configure:1885: result:
configure:1891: checking for suffix of object files
configure:1915: g++ -c conftest.cc >&5
configure:1918: $? = 0
configure:1937: result: o
configure:1941: checking whether we are using the GNU C++ compiler
configure:1968: g++ -c conftest.cc >&5
configure:1971: $? = 0
configure:1974: test -s conftest.o
configure:1977: $? = 0
configure:1989: result: yes
configure:1995: checking whether g++ accepts -g
configure:2019: g++ -c -g conftest.cc >&5
configure:2022: $? = 0
configure:2025: test -s conftest.o
configure:2028: $? = 0
configure:2038: result: yes
configure:2084: g++ -c -g -O2 conftest.cc >&5
configure:2087: $? = 0
configure:2090: test -s conftest.o
configure:2093: $? = 0
configure:2121: g++ -c -g -O2 conftest.cc >&5
configure:2124: $? = 0
configure:2127: test -s conftest.o
configure:2130: $? = 0
configure:2171: checking for style of include used by make
configure:2199: result: GNU
configure:2227: checking dependency style of g++
configure:2289: result: gcc
configure:2340: checking for gcc
configure:2356: found /usr/bin/gcc
configure:2366: result: gcc
configure:2610: checking for C compiler version
configure:2613: gcc --version </dev/null >&5
2.95.4
configure:2616: $? = 0
configure:2618: gcc -v </dev/null >&5
Reading specs from /usr/lib/gcc-lib/powerpc-linux/2.95.4/specs
gcc version 2.95.4 20011002 (Debian prerelease)
configure:2621: $? = 0
configure:2623: gcc -V </dev/null >&5
gcc: argument to `-V' is missing
configure:2626: $? = 1
configure:2629: checking whether we are using the GNU C compiler
configure:2656: gcc -c conftest.c >&5
configure:2659: $? = 0
configure:2662: test -s conftest.o
configure:2665: $? = 0
configure:2677: result: yes
configure:2683: checking whether gcc accepts -g
configure:2707: gcc -c -g conftest.c >&5
configure:2710: $? = 0
configure:2713: test -s conftest.o
configure:2716: $? = 0
configure:2726: result: yes
configure:2753: gcc -c -g -O2 conftest.c >&5
conftest.c:2: parse error before `me'
configure:2756: $? = 1
configure: failed program was:
#ifndef __cplusplus
choke me
#endif
configure:2868: checking dependency style of gcc
configure:2930: result: gcc
configure:2937: checking for strerror in -lcposix
configure:2970: gcc -o conftest -g -O2 conftest.c -lcposix >&5
/usr/bin/ld: cannot find -lcposix
collect2: ld returned 1 exit status
configure:2973: $? = 1
configure: failed program was:
#line 2944 "configure"
#include "confdefs.h"
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char strerror ();
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
strerror ();
;
return 0;
}
configure:2990: result: no
configure:3003: checking how to run the C preprocessor
configure:3029: gcc -E conftest.c
configure:3035: $? = 0
configure:3062: gcc -E conftest.c
configure:3058: ac_nonexistent.h: No such file or directory
configure:3068: $? = 1
configure: failed program was:
#line 3057 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:3105: result: gcc -E
configure:3120: gcc -E conftest.c
configure:3126: $? = 0
configure:3153: gcc -E conftest.c
configure:3149: ac_nonexistent.h: No such file or directory
configure:3159: $? = 1
configure: failed program was:
#line 3148 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:3202: checking CFLAGS
configure:3204: result:
configure:3207: checking CXXFLAGS
configure:3209: result:
configure:3226: checking for a BSD-compatible install
configure:3280: result: /usr/bin/install -c
configure:3291: checking whether ln -s works
configure:3295: result: yes
configure:3302: checking whether make sets ${MAKE}
configure:3322: result: yes
configure:3372: checking for ranlib
configure:3388: found /usr/bin/ranlib
configure:3399: result: ranlib
configure:3675: checking for pkg-config
configure:3693: found /usr/bin/pkg-config
configure:3706: result: /usr/bin/pkg-config
configure:3723: checking for glib-2.0 >= 2.0
configure:3727: result: yes
configure:3731: checking GLIB_CFLAGS
configure:3734: result: -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
configure:3737: checking GLIB_LIBS
configure:3740: result: -lglib-2.0
configure:3828: checking for gmodule-2.0 >= 2.0
configure:3832: result: yes
configure:3836: checking GMODULE_CFLAGS
configure:3839: result: -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
configure:3842: checking GMODULE_LIBS
configure:3845: result: -Wl,--export-dynamic -lgmodule-2.0 -ldl -lglib-2.0
configure:3933: checking for gthread-2.0
configure:3937: result: yes
configure:3941: checking GTHREAD_CFLAGS
configure:3944: result: -D_REENTRANT -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include
configure:3947: checking GTHREAD_LIBS
configure:3950: result: -lgthread-2.0 -lpthread -lglib-2.0
configure:4056: checking for gtk+-2.0 >= 2.0
configure:4060: result: yes
configure:4064: checking GTK_CFLAGS
configure:4067: result: -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
configure:4070: checking GTK_LIBS
configure:4073: result: -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm
-lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
configure:4838: checking for ANSI C header files
configure:4852: gcc -E conftest.c
configure:4858: $? = 0
configure:4943: gcc -o conftest conftest.c >&5
configure:4946: $? = 0
configure:4948: ./conftest
configure:4951: $? = 0
configure:4965: result: yes
configure:4989: checking for sys/types.h
configure:5002: gcc -c conftest.c >&5
configure:5005: $? = 0
configure:5008: test -s conftest.o
configure:5011: $? = 0
configure:5021: result: yes
configure:4989: checking for sys/stat.h
configure:5002: gcc -c conftest.c >&5
configure:5005: $? = 0
configure:5008: test -s conftest.o
configure:5011: $? = 0
configure:5021: result: yes
configure:4989: checking for stdlib.h
configure:5002: gcc -c conftest.c >&5
configure:5005: $? = 0
configure:5008: test -s conftest.o
configure:5011: $? = 0
configure:5021: result: yes
configure:4989: checking for string.h
configure:5002: gcc -c conftest.c >&5
configure:5005: $? = 0
configure:5008: test -s conftest.o
configure:5011: $? = 0
configure:5021: result: yes
configure:4989: checking for memory.h
configure:5002: gcc -c conftest.c >&5
configure:5005: $? = 0
configure:5008: test -s conftest.o
configure:5011: $? = 0
configure:5021: result: yes
configure:4989: checking for strings.h
configure:5002: gcc -c conftest.c >&5
configure:5005: $? = 0
configure:5008: test -s conftest.o
configure:5011: $? = 0
configure:5021: result: yes
configure:4989: checking for inttypes.h
configure:5002: gcc -c conftest.c >&5
configure:5005: $? = 0
configure:5008: test -s conftest.o
configure:5011: $? = 0
configure:5021: result: yes
configure:4989: checking for stdint.h
configure:5002: gcc -c conftest.c >&5
configure:5005: $? = 0
configure:5008: test -s conftest.o
configure:5011: $? = 0
configure:5021: result: yes
configure:4989: checking for unistd.h
configure:5002: gcc -c conftest.c >&5
configure:5005: $? = 0
configure:5008: test -s conftest.o
configure:5011: $? = 0
configure:5021: result: yes
configure:5078: checking iconv.h usability
configure:5087: gcc -c conftest.c >&5
configure:5090: $? = 0
configure:5093: test -s conftest.o
configure:5096: $? = 0
configure:5105: result: yes
configure:5109: checking iconv.h presence
configure:5116: gcc -E conftest.c
configure:5122: $? = 0
configure:5140: result: yes
configure:5158: checking for iconv.h
configure:5165: result: yes
configure:5199: gcc -c conftest.c >&5
configure: In function `main':
configure:5192: parse error before `;'
configure:5202: $? = 1
configure: failed program was:
#line 5171 "configure"
#include "confdefs.h"
#include <iconv.h>
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
#ifndef _LIBICONV_VERSION
* * /* not (or old?) libiconv */ * *
#endif
#if _LIBICONV_VERSION < 0x0107
* * /* old stuff */ * *
#endif
;
return 0;
}
configure:5483: checking for Xft >= 2.0.0
configure:5487: result: found
configure:5514: checking fontconfig/fontconfig.h usability
configure:5523: gcc -c conftest.c >&5
configure:5526: $? = 0
configure:5529: test -s conftest.o
configure:5532: $? = 0
configure:5541: result: yes
configure:5545: checking fontconfig/fontconfig.h presence
configure:5552: gcc -E conftest.c
configure:5558: $? = 0
configure:5576: result: yes
configure:5594: checking for fontconfig/fontconfig.h
configure:5601: result: yes
configure:5692: checking how to run the C++ preprocessor
configure:5714: g++ -E conftest.cc
configure:5720: $? = 0
configure:5747: g++ -E conftest.cc
configure:5743: ac_nonexistent.h: No such file or directory
configure:5753: $? = 1
configure: failed program was:
#line 5742 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:5790: result: g++ -E
configure:5805: g++ -E conftest.cc
configure:5811: $? = 0
configure:5838: g++ -E conftest.cc
configure:5834: ac_nonexistent.h: No such file or directory
configure:5844: $? = 1
configure: failed program was:
#line 5833 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:6362: checking for curl-config
configure:6395: result: no
configure:6514: checking for fribidi-config
configure:6532: found /usr/bin/fribidi-config
configure:6544: result: /usr/bin/fribidi-config
configure:6608: checking for fribidi >= 0.10.4
configure:6638: result: yes - 0.10.4
configure:6758: checking for freetype-config
configure:6776: found /usr/bin/freetype-config
configure:6789: result: /usr/bin/freetype-config
configure:6800: checking for FT_New_Face in -lfreetype
configure:6833: gcc -o conftest conftest.c -lfreetype -lfreetype >&5
configure:6836: $? = 0
configure:6839: test -s conftest
configure:6842: $? = 0
configure:6853: result: yes
configure:6867: checking For sufficiently new FreeType (at least 2.0.1)
configure:6892: gcc -c -I/usr/include/freetype2 conftest.c >&5
configure:6895: $? = 0
configure:6898: test -s conftest.o
configure:6901: $? = 0
configure:6911: result: yes
configure:6947: checking freetype/internal/tterrors.h usability
configure:6956: gcc -c -I/usr/include/freetype2 conftest.c >&5
configure:6984: freetype/internal/tterrors.h: No such file or directory
configure:6959: $? = 1
configure: failed program was:
#line 6949 "configure"
#include "confdefs.h"
#include <stdio.h>
#if HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif
#if HAVE_SYS_STAT_H
# include <sys/stat.h>
#endif
#if STDC_HEADERS
# include <stdlib.h>
# include <stddef.h>
#else
# if HAVE_STDLIB_H
# include <stdlib.h>
# endif
#endif
#if HAVE_STRING_H
# if !STDC_HEADERS && HAVE_MEMORY_H
# include <memory.h>
# endif
# include <string.h>
#endif
#if HAVE_STRINGS_H
# include <strings.h>
#endif
#if HAVE_INTTYPES_H
# include <inttypes.h>
#else
# if HAVE_STDINT_H
# include <stdint.h>
# endif
#endif
#if HAVE_UNISTD_H
# include <unistd.h>
#endif
#include <freetype/internal/tterrors.h>
configure:6974: result: no
configure:6978: checking freetype/internal/tterrors.h presence
configure:6985: gcc -E -I/usr/include/freetype2 conftest.c
configure:6981: freetype/internal/tterrors.h: No such file or directory
configure:6991: $? = 1
configure: failed program was:
#line 6980 "configure"
#include "confdefs.h"
#include <freetype/internal/tterrors.h>
configure:7009: result: no
configure:7027: checking for freetype/internal/tterrors.h
configure:7034: result: no
configure:7151: checking for ANSI C header files
configure:7278: result: yes
configure:7306: checking limits.h usability
configure:7315: gcc -c conftest.c >&5
configure:7318: $? = 0
configure:7321: test -s conftest.o
configure:7324: $? = 0
configure:7333: result: yes
configure:7337: checking limits.h presence
configure:7344: gcc -E conftest.c
configure:7350: $? = 0
configure:7368: result: yes
configure:7386: checking for limits.h
configure:7393: result: yes
configure:7297: checking for strings.h
configure:7302: result: yes
configure:7306: checking sys/time.h usability
configure:7315: gcc -c conftest.c >&5
configure:7318: $? = 0
configure:7321: test -s conftest.o
configure:7324: $? = 0
configure:7333: result: yes
configure:7337: checking sys/time.h presence
configure:7344: gcc -E conftest.c
configure:7350: $? = 0
configure:7368: result: yes
configure:7386: checking for sys/time.h
configure:7393: result: yes
configure:7297: checking for unistd.h
configure:7302: result: yes
configure:7306: checking malloc.h usability
configure:7315: gcc -c conftest.c >&5
configure:7318: $? = 0
configure:7321: test -s conftest.o
configure:7324: $? = 0
configure:7333: result: yes
configure:7337: checking malloc.h presence
configure:7344: gcc -E conftest.c
configure:7350: $? = 0
configure:7368: result: yes
configure:7386: checking for malloc.h
configure:7393: result: yes
configure:7407: checking for gcc option to accept ANSI C
configure:7470: gcc -c conftest.c >&5
configure:7473: $? = 0
configure:7476: test -s conftest.o
configure:7479: $? = 0
configure:7496: result: none needed
configure:7504: checking for an ANSI C-conforming const
configure:7574: gcc -c conftest.c >&5
configure:7577: $? = 0
configure:7580: test -s conftest.o
configure:7583: $? = 0
configure:7593: result: yes
configure:7626: gcc -c conftest.c >&5
configure:7629: $? = 0
configure:7632: test -s conftest.o
configure:7635: $? = 0
configure:7651: checking for size_t
configure:7678: gcc -c conftest.c >&5
configure:7681: $? = 0
configure:7684: test -s conftest.o
configure:7687: $? = 0
configure:7697: result: yes
configure:7709: checking whether byte ordering is bigendian
configure:7739: gcc -c conftest.c >&5
configure:7742: $? = 0
configure:7745: test -s conftest.o
configure:7748: $? = 0
configure:7775: gcc -c conftest.c >&5
configure:7778: $? = 0
configure:7781: test -s conftest.o
configure:7784: $? = 0
configure:7892: result: yes
configure:8006: checking for xml2-config
configure:8024: found /usr/bin/xml2-config
configure:8036: result: /usr/bin/xml2-config
configure:8754: checking for wv
configure:8759: result: /home/guido/abiword-1.1.0/wv
configure:8857: checking zlib.h usability
configure:8866: gcc -c conftest.c >&5
configure:8869: $? = 0
configure:8872: test -s conftest.o
configure:8875: $? = 0
configure:8884: result: yes
configure:8888: checking zlib.h presence
configure:8895: gcc -E conftest.c
configure:8901: $? = 0
configure:8919: result: yes
configure:8937: checking for zlib.h
configure:8944: result: yes
configure:9063: checking png.h usability
configure:9072: gcc -c conftest.c >&5
configure:9075: $? = 0
configure:9078: test -s conftest.o
configure:9081: $? = 0
configure:9090: result: yes
configure:9094: checking png.h presence
configure:9101: gcc -E conftest.c
configure:9107: $? = 0
configure:9125: result: yes
configure:9143: checking for png.h
configure:9150: result: yes
configure:9271: checking popt.h usability
configure:9280: gcc -c conftest.c >&5
configure:9283: $? = 0
configure:9286: test -s conftest.o
configure:9289: $? = 0
configure:9298: result: yes
configure:9302: checking popt.h presence
configure:9309: gcc -E conftest.c
configure:9315: $? = 0
configure:9333: result: yes
configure:9351: checking for popt.h
configure:9358: result: yes
configure:9515: checking for jpeg_start_decompress in -ljpeg
configure:9548: gcc -o conftest conftest.c -ljpeg >&5
configure:9551: $? = 0
configure:9554: test -s conftest
configure:9557: $? = 0
configure:9568: result: yes
configure:9602: checking jpeglib.h usability
configure:9611: gcc -c conftest.c >&5
configure:9614: $? = 0
configure:9617: test -s conftest.o
configure:9620: $? = 0
configure:9629: result: yes
configure:9633: checking jpeglib.h presence
configure:9640: gcc -E conftest.c
configure:9646: $? = 0
configure:9664: result: yes
configure:9682: checking for jpeglib.h
configure:9689: result: yes
configure:9727: checking for working alloca.h
configure:9751: gcc -o conftest conftest.c >&5
configure:9754: $? = 0
configure:9757: test -s conftest
configure:9760: $? = 0
configure:9770: result: yes
configure:9780: checking for alloca
configure:9824: gcc -o conftest conftest.c >&5
configure:9827: $? = 0
configure:9830: test -s conftest
configure:9833: $? = 0
configure:9843: result: yes
configure:10033: checking return type of signal handlers
configure:10067: gcc -c conftest.c >&5
configure:10070: $? = 0
configure:10073: test -s conftest.o
configure:10076: $? = 0
configure:10086: result: void
configure:10101: checking for re_comp
configure:10144: gcc -o conftest conftest.c >&5
configure:10147: $? = 0
configure:10150: test -s conftest
configure:10153: $? = 0
configure:10163: result: yes
configure:10101: checking for regcomp
configure:10144: gcc -o conftest conftest.c >&5
configure:10147: $? = 0
configure:10150: test -s conftest
configure:10153: $? = 0
configure:10163: result: yes
configure:10101: checking for strdup
configure:10144: gcc -o conftest conftest.c >&5
configure:10147: $? = 0
configure:10150: test -s conftest
configure:10153: $? = 0
configure:10163: result: yes
configure:10101: checking for strstr
configure:10144: gcc -o conftest conftest.c >&5
configure:10147: $? = 0
configure:10150: test -s conftest
configure:10153: $? = 0
configure:10163: result: yes
configure:10174: checking for putenv
configure:10217: gcc -o conftest conftest.c >&5
configure:10220: $? = 0
configure:10223: test -s conftest
configure:10226: $? = 0
configure:10236: result: yes
configure:10244: checking for setenv
configure:10287: gcc -o conftest conftest.c >&5
configure:10290: $? = 0
configure:10293: test -s conftest
configure:10296: $? = 0
configure:10306: result: yes
configure:10330: checking whether setenv declared in stdlib.h (for us)
configure:10358: gcc -c -Wall -pedantic -ansi -D_POSIX_SOURCE -D_BSD_SOURCE -pipe
conftest.c >&5
configure:10335: conflicting types for `setenv'
/usr/include/stdlib.h:604: previous declaration of `setenv'
configure:10361: $? = 1
configure: failed program was:
#line 10332 "configure"
#include "confdefs.h"
#include <stdlib.h>
float setenv (int);
#ifdef F77_DUMMY_MAIN
# ifdef __cplusplus
extern "C"
# endif
int F77_DUMMY_MAIN() { return 1; }
#endif
int
main ()
{
/* if this program fails then setenv isn't declared in stdlib.h
* or at least not for the flags we're using...
*/
;
return 0;
}
configure:10380: result: yes
configure:10727: creating ./config.status
## ---------------------- ##
## Running config.status. ##
## ---------------------- ##
This file was extended by AbiSuite config.status 2.0, which was
generated by GNU Autoconf 2.53. Invocation command line was
CONFIG_FILES =
CONFIG_HEADERS =
CONFIG_LINKS =
CONFIG_COMMANDS =
$ ./config.status
on debian
config.status:783: creating GNUmakefile
config.status:783: creating src/GNUmakefile
config.status:783: creating src/af/GNUmakefile
config.status:783: creating src/af/ev/GNUmakefile
config.status:783: creating src/af/ev/xp/GNUmakefile
config.status:783: creating src/af/ev/cocoa/GNUmakefile
config.status:783: creating src/af/ev/unix/GNUmakefile
config.status:783: creating src/af/ev/unix/gnome/GNUmakefile
config.status:783: creating src/af/ev/mac/GNUmakefile
config.status:783: creating src/af/gr/GNUmakefile
config.status:783: creating src/af/gr/xp/GNUmakefile
config.status:783: creating src/af/gr/mac/GNUmakefile
config.status:783: creating src/af/gr/cocoa/GNUmakefile
config.status:783: creating src/af/gr/unix/GNUmakefile
config.status:783: creating src/af/util/GNUmakefile
config.status:783: creating src/af/util/xp/GNUmakefile
config.status:783: creating src/af/util/mac/GNUmakefile
config.status:783: creating src/af/util/unix/GNUmakefile
config.status:783: creating src/af/xap/GNUmakefile
config.status:783: creating src/af/xap/xp/GNUmakefile
config.status:783: creating src/af/xap/cocoa/GNUmakefile
config.status:783: creating src/af/xap/mac/GNUmakefile
config.status:783: creating src/af/xap/unix/GNUmakefile
config.status:783: creating src/af/xap/unix/gnome/GNUmakefile
config.status:783: creating src/other/GNUmakefile
config.status:783: creating src/other/spell/GNUmakefile
config.status:783: creating src/other/spell/xp/GNUmakefile
config.status:783: creating src/other/ttftool/GNUmakefile
config.status:783: creating src/other/ttftool/unix/GNUmakefile
config.status:783: creating src/text/GNUmakefile
config.status:783: creating src/text/fmt/GNUmakefile
config.status:783: creating src/text/fmt/xp/GNUmakefile
config.status:783: creating src/text/ptbl/GNUmakefile
config.status:783: creating src/text/ptbl/xp/GNUmakefile
config.status:783: creating src/wp/GNUmakefile
config.status:783: creating src/wp/ap/GNUmakefile
config.status:783: creating src/wp/ap/xp/GNUmakefile
config.status:783: creating src/wp/ap/cocoa/GNUmakefile
config.status:783: creating src/wp/ap/mac/GNUmakefile
config.status:783: creating src/wp/ap/unix/GNUmakefile
config.status:783: creating src/wp/ap/unix/gnome/GNUmakefile
config.status:783: creating src/wp/impexp/GNUmakefile
config.status:783: creating src/wp/impexp/cocoa/GNUmakefile
config.status:783: creating src/wp/impexp/unix/GNUmakefile
config.status:783: creating src/wp/impexp/unix/gnome/GNUmakefile
config.status:783: creating src/wp/impexp/xp/GNUmakefile
config.status:783: creating src/wp/main/GNUmakefile
config.status:783: creating src/wp/main/xp/GNUmakefile
config.status:783: creating src/wp/main/cocoa/GNUmakefile
config.status:783: creating src/wp/main/cocoa/bundle/GNUmakefile
config.status:783: creating src/wp/main/cocoa/bundle/Info.plist
config.status:783: creating src/wp/main/cocoa/AbiWord.app/GNUmakefile
config.status:783: creating src/wp/main/cocoa/AbiWord.app/Contents/GNUmakefile
config.status:783: creating src/wp/main/cocoa/AbiWord.app/Contents/MacOS/GNUmakefile
config.status:783: creating
src/wp/main/cocoa/AbiWord.app/Contents/Frameworks/GNUmakefile
config.status:783: creating
src/wp/main/cocoa/AbiWord.app/Contents/Resources/GNUmakefile
config.status:783: creating
src/wp/main/cocoa/AbiWord.app/Contents/Resources/English.lproj/GNUmakefile
config.status:783: creating src/wp/main/mac/GNUmakefile
config.status:783: creating src/wp/main/unix/GNUmakefile
config.status:783: creating src/wp/main/unix/gnome/GNUmakefile
config.status:783: creating src/tools/GNUmakefile
config.status:783: creating src/tools/cdump/GNUmakefile
config.status:783: creating src/tools/cdump/xp/GNUmakefile
config.status:783: creating src/tools/pfa2afm/GNUmakefile
config.status:783: creating src/tools/pfa2afm/unix/GNUmakefile
config.status:783: creating src/tools/ttftool/GNUmakefile
config.status:783: creating src/tools/ttftool/unix/GNUmakefile
config.status:783: creating src/tools/scripts/GNUmakefile
config.status:783: creating src/tools/scripts/unix/GNUmakefile
config.status:783: creating src/bindings/GNUmakefile
config.status:783: creating src/bindings/perl/GNUmakefile
config.status:908: executing depfiles commands
configure:11807: result: Configured to build on a Unix/Linux platform.
configure:11834: result: Configured with libjpeg support.
configure:11858: result: Configured with XFT support.
configure:11875: result: Type make to build AbiWord.
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_c_bigendian=yes
ac_cv_c_compiler_gnu=yes
ac_cv_c_const=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_exeext=
ac_cv_func_alloca_works=yes
ac_cv_func_putenv=yes
ac_cv_func_re_comp=yes
ac_cv_func_regcomp=yes
ac_cv_func_setenv=yes
ac_cv_func_strdup=yes
ac_cv_func_strstr=yes
ac_cv_header_fontconfig_fontconfig_h=yes
ac_cv_header_freetype_internal_tterrors_h=no
ac_cv_header_iconv_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_jpeglib_h=yes
ac_cv_header_limits_h=yes
ac_cv_header_malloc_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_png_h=yes
ac_cv_header_popt_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_time_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_header_zlib_h=yes
ac_cv_lib_cposix_strerror=no
ac_cv_lib_freetype_FT_New_Face=yes
ac_cv_lib_jpeg_jpeg_start_decompress=yes
ac_cv_objext=o
ac_cv_path_ABI_XML_CONFIG=/usr/bin/xml2-config
ac_cv_path_FREETYPE_CONFIG=/usr/bin/freetype-config
ac_cv_path_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_path_abi_fribidi_config=/usr/bin/fribidi-config
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=mawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_CXXCPP='g++ -E'
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_cc_g=yes
ac_cv_prog_cc_stdc=
ac_cv_prog_cxx_g=yes
ac_cv_prog_make_make_set=yes
ac_cv_type_signal=void
ac_cv_type_size_t=yes
ac_cv_working_alloca_h=yes
am_cv_CC_dependencies_compiler_type=gcc
am_cv_CXX_dependencies_compiler_type=gcc
## ----------- ##
## confdefs.h. ##
## ----------- ##
#define PACKAGE_NAME "AbiSuite"
#define PACKAGE_TARNAME "abisuite"
#define PACKAGE_VERSION "2.0"
#define PACKAGE_STRING "AbiSuite 2.0"
#define PACKAGE_BUGREPORT "http://www.abisource.com/"
#define PACKAGE "AbiSuite-2.0"
#define VERSION "1.1.0"
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_FONTCONFIG_FONTCONFIG_H 1
#define STDC_HEADERS 1
#define HAVE_LIMITS_H 1
#define HAVE_STRINGS_H 1
#define HAVE_SYS_TIME_H 1
#define HAVE_UNISTD_H 1
#define HAVE_MALLOC_H 1
#define WORDS_BIGENDIAN 1
#define HAVE_LIBXML2 1
#define HAVE_WV 1
#define HAVE_ALLOCA_H 1
#define HAVE_ALLOCA 1
#define RETSIGTYPE void
#define HAVE_RE_COMP 1
#define HAVE_REGCOMP 1
#define HAVE_STRDUP 1
#define HAVE_STRSTR 1
configure: exit 0